Mail archive
alpine-aports

[alpine-aports] [PATCH 3/6] testing/py-jsonpatch: new aport

From: Matt Dainty <matt+alpine_at_bodgit-n-scarper.com>
Date: Thu, 24 Mar 2016 16:33:20 +0000

https://github.com/stefankoegl/python-json-patch
Apply JSON-Patches (RFC 6902)
---
 testing/py-jsonpatch/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/py-jsonpatch/APKBUILD
diff --git a/testing/py-jsonpatch/APKBUILD b/testing/py-jsonpatch/APKBUILD
new file mode 100644
index 0000000..799d934
--- /dev/null
+++ b/testing/py-jsonpatch/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Matt Dainty <matt+alpine_at_bodgit-n-scarper.com>
+# Maintainer:
+pkgname=py-jsonpatch
+_pkgname=jsonpatch
+pkgver=1.13
+pkgrel=0
+pkgdesc="Apply JSON-Patches (RFC 6902)"
+url="https://github.com/stefankoegl/python-json-patch"
+arch="noarch"
+license="BSD"
+depends="python py-jsonpointer"
+makedepends=""
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="4d6650ced683f632e117bafe5d9f093b  jsonpatch-1.13.tar.gz"
+sha256sums="9470656a08002e309632b59772b206ce0564c9a77b44c25f05f49dd2cad248d5  jsonpatch-1.13.tar.gz"
+sha512sums="23f0c92c2c8834d5e3129e9ba78ece7da2646dd60d5b0522b0f09d83e20057ef7517042e5ee8547804185d3ce23cff394c8fe78df93fad7999fae12cc5467a45  jsonpatch-1.13.tar.gz"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 24 2016 - 16:33:20 UTC